Skip to the page

Take back an environment role

DELETE/v1/organisations/{id}/environments/{envId}/access/{subject}

Operation environments.revoke · since 2026-11-05 · stable

Needs a session withwritescopeAnswers200 OK

Path parameters

idstring (uuid)required
The organisation id.
envIdstring (uuid)required
The environment id.
subjectstringrequired
The person, by their Rykon account subject.

Errors

Every error is { "error", "message", "detail"? } (Errors and references). Besides the codes any route can answer.

DELETE/v1/organisations/{id}/environments/{envId}/access/{subject}
curl -X DELETE "https://api.rykloud.com/v1/organisations/$ORG_ID/environments/$ENV_ID/access/$SUBJECT" \
  -H "Authorization: Bearer $RYKLOUD_TOKEN"